Public Class DataSetBDNotasAlumnos
  ' Construcción del DataSet a partir de
  ' bd_notasAlumnos.xsd y bd_notasAlumnos.xml
  Public Shared Function ObtenerTablaAsignaturas() As DataTable
    Return ReadDataSet().Tables("asignaturas")
  End Function

  Public Shared Function ObtenerAlumsAsigsNotas() As DataSet
    Return ReadDataSet()
  End Function

  Friend Shared Function ReadDataSet() As DataSet
    Try
      Dim ds As New DataSet()
      ds.ReadXmlSchema("../../bd_notasAlumnos.xsd")
      ds.ReadXml("../../bd_notasAlumnos.xml")
      Return ds
    Catch exc As Exception
      System.Diagnostics.Debug.WriteLine(exc.Message)
      Return Nothing
    End Try
  End Function
End Class
